summaryrefslogtreecommitdiff
path: root/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
diff options
context:
space:
mode:
authorYuval Adam <_@yuv.al>2017-08-30 08:25:59 +0000
committerYuval Adam <_@yuv.al>2017-08-30 08:25:59 +0000
commit8e4bff4cab0ddac6060645b0715210484d02ff40 (patch)
tree3a5c3024371a04692a3a6d9974d001cdff8ebf84 /tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
Initial file dump from open source releaseHEADmaster
Diffstat (limited to 'tools/perf/scripts/python/bin/failed-syscalls-by-pid-report')
-rw-r--r--tools/perf/scripts/python/bin/failed-syscalls-by-pid-report10
1 files changed, 10 insertions, 0 deletions
diff --git a/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report b/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
new file mode 100644
index 00000000..fda5096d
--- /dev/null
+++ b/tools/perf/scripts/python/bin/failed-syscalls-by-pid-report
@@ -0,0 +1,10 @@
+#!/bin/bash
+# description: system-wide failed syscalls, by pid
+# args: [comm]
+if [ $# -gt 0 ] ; then
+ if ! expr match "$1" "-" > /dev/null ; then
+ comm=$1
+ shift
+ fi
+fi
+perf script $@ -s "$PERF_EXEC_PATH"/scripts/python/failed-syscalls-by-pid.py $comm